#include "keyboard.h"

void init_keyboard(void)
{

	caos_printf("Initialize keyboard..\n");

	register_irq(1, keyboard_isr);
	enable_irq(1);

}

void keyboard_isr(void)
{
	unsigned char scan=0;
	static int prefix=0;

	scan = inb(0x60);
	caos_printf("KEYBOARD [%x]\n", scan);

	// keyboard error
	if ( (scan == 0) || (scan == 0xff) )
		return;

	if ( (scan == (unsigned char)0xe0) || \
			(scan == (unsigned char)0xe1) ) {
		// scan code 0xe0-0xe0 is KOR/ENG key
		if (prefix == 1)
			;		// later..

		prefix = 1;
		return;
	}


	if (scan == SCAN_CAPSLOCK) {
		caos_printf(".CAPSLOCK.");
		key.status ^= CAPS_LOCK;

		if (key.status & CAPS_LOCK)
			caos_printf("CAPS LOCK on\n");
		else
			caos_printf("CAPS LOCK off\n");
	}



	prefix = 0;
}
